[Solved] unable to upgrade Arch virtual machine

Discussions about using Linux guests in VirtualBox.

[Solved] unable to upgrade Arch virtual machine

Postby Raspero » 3. Jul 2019, 23:43

Since uggrading from VBox 6.0.5 to 6.0.8, one of my virtual Arch machines tells me "unable to lock database" when I run the "sudo pacman -Syu" command.

The host is Ubuntu 16.04

Richard

note: I emptied the pacman cache and it upgraded with the panman -Syu command
Raspero
 
Posts: 18
Joined: 29. Oct 2018, 00:35

Re: [Solved] unable to upgrade Arch virtual machine

Postby socratis » 4. Jul 2019, 18:24

Just because an OS/program that runs in the context of VirtualBox has a problem, it doesn't make it a VirtualBox problem necessarily. You're having an issue that has most probably nothing to do with VirtualBox, so my suggestion would be to treat it as such, as a native problem with the OS or the application of the guest.

Thank you for marking the topic as [Solved]... ;)
If you obfuscate any information requested, I will obfuscate my response. These are virtual UUIDs, not real ones.
Do NOT reply with the "QUOTE" button, please use the "POST REPLY", at the bottom of the form.
socratis
Site Moderator
 
Posts: 26749
Joined: 22. Oct 2010, 11:03
Location: Greece
Primary OS: Mac OS X other
VBox Version: PUEL
Guest OSses: Win(*>98), Linux*, OSX>10.5


Return to Linux Guests

Who is online

Users browsing this forum: No registered users and 12 guests